GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Typedefs
sync_posix.h File Reference
`#include <grpc/support/sync_generic.h>`
`#include <pthread.h>`

Go to the source code of this file.

## Macros
#define | GPR_ONCE_INIT PTHREAD_ONCE_INIT

## Typedefs
typedef pthread_mutex_t | gpr_mu
typedef pthread_cond_t | gpr_cv
typedef pthread_once_t | gpr_once

## Macro Definition Documentation

#define GPR_ONCE_INIT PTHREAD_ONCE_INIT

## Typedef Documentation

typedef pthread_cond_t gpr_cv

typedef pthread_mutex_t gpr_mu

typedef pthread_once_t gpr_once